Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in jasper
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in jasper
ID: openSUSE-SU-2019:2279-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.0
Datum: Di, 8. Oktober 2019, 06:36
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19541
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19540
Applikationen: JasPer

Originalnachricht

   openSUSE Security Update: Security update for jasper
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:2279-1
Rating: moderate
References: #1117507 #1117508
Cross-References: CVE-2018-19540 CVE-2018-19541
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for jasper fixes the following issues:

Security issues fixed:

- CVE-2018-19540: Fixed a heap based overflow in jas_icctxtdesc_input
(bsc#1117508).
- CVE-2018-19541: Fix heap based overread in jas_image_depalettize
(bsc#1117507).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-2279=1



Package List:

- openSUSE Leap 15.0 (i586 x86_64):

jasper-2.0.14-lp150.2.6.1
jasper-debuginfo-2.0.14-lp150.2.6.1
jasper-debugsource-2.0.14-lp150.2.6.1
libjasper-devel-2.0.14-lp150.2.6.1
libjasper4-2.0.14-lp150.2.6.1
libjasper4-debuginfo-2.0.14-lp150.2.6.1

- openSUSE Leap 15.0 (x86_64):

libjasper4-32bit-2.0.14-lp150.2.6.1
libjasper4-32bit-debuginfo-2.0.14-lp150.2.6.1


References:

https://www.suse.com/security/cve/CVE-2018-19540.html
https://www.suse.com/security/cve/CVE-2018-19541.html
https://bugzilla.suse.com/1117507
https://bugzilla.suse.com/1117508

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung